# Changelog

## 2025-03-11 - 5.0.0 - BREAKING CHANGE(network)
Update reverse proxy configuration to support multiple destination IPs and ports

- Replaced 'destinationIp' and 'destinationPort' with 'destinationIps' (array) and 'destinationPorts' (array) to enable multiple destinations

## 2025-03-10 - 4.4.4 - fix(business)
Fixes typo in ILetter interface

- Removed unused property 'letterData' from ILetter content structure.

## 2025-03-07 - 4.4.3 - fix(network)
Fix destinationPort type for IReverseProxyConfig

- Corrected the type of destinationPort in IReverseProxyConfig from 'string' to 'number'.

## 2025-03-07 - 4.4.2 - fix(dependencies)
Updated package dependencies for improved stability and performance.

- Updated 'type-fest' dependency to version ^4.37.0.
- Updated '@git.zone/tsbuild' to version ^2.2.6.
- Updated '@git.zone/tstest' to version ^1.0.96.
- Updated '@push.rocks/tapbundle' to ^5.5.6.
- Updated '@types/node' to ^22.13.9.

## 2025-03-07 - 4.4.1 - fix(business)
Fix missing letterData property in ILetter interface.

- Added missing letterData property to the content structure of the ILetter interface.
- Ensured consistency and completeness of ILetter interface for proper data handling of letter components.

## 2025-01-11 - 4.4.0 - feat(website)
Add ILinkBlock interface for managing groups of links

- Introduced a new interface ILinkBlock in ts/website/linkblock.ts for managing grouped links.
- Exported ILinkBlock from ts/website/index.ts to make it available for external usage.

## 2025-01-10 - 4.3.0 - feat(website)
Added new ILink interface to the website module.

- Introduced ILink interface with properties like url, text, description, icon, and target.
- Updated ts/website/index.ts to export the new link interface.

## 2024-12-11 - 4.2.0 - feat(dependencies)
Update dependencies and enhance code documentation

- Updated 'type-fest' dependency from ^4.20.1 to ^4.30.0 for improved type definitions.
- Updated development dependencies for better development experience.
- Enhanced code documentation for the ICommitInfo interface with detailed JSDoc comments.

## 2024-07-26 - 4.1.2 - fix(finance)
Updated IInvoice interface to support various currencies.

- Changed the 'currency' field in the IInvoice interface from fixed 'EUR' to type TCurrency.

## 2024-07-26 - 4.1.1 - fix(finance)
Fix IInvoice interface to correctly include the currency field

- Corrected the IInvoice interface definition in `ts/finance/invoice.ts`
- Moved `position` field to the top of the IInvoiceItem interface

## 2024-07-26 - 4.1.0 - feat(finance)
Added notes field to IInvoice interface

- Expanded IInvoice interface to include notes field allowing additional notes for invoices.

## 2024-07-24 - 4.0.65 - fix(finance)
Added 'type' property to IInvoice interface

- Added 'type' property to the IInvoice interface in the finance domain.
- This property indicates whether the invoice is a 'creditnote' or 'debitnote'.

## 2024-07-18 - 4.0.64 - fix(business)
Add relationship field to contact interface

- Added 'relationship' field to the IContact interface in ts/business/contact.ts

## 2024-06-28 - 4.0.63 - fix(saas)
Refactor IProduct to separate IProductFeature interface

- Updated @types/node from 20.14.8 to 20.14.9
- Refactored IProduct's features property to a standalone IProductFeature interface in saas/product.ts

## 2024-06-24 - 4.0.62 - fix(dependencies)
Updated dependencies to latest versions

- Updated 'dependencies > type-fest' to version ^4.20.1
- Updated 'devDependencies > @git.zone/tsbuild' to version ^2.1.82
- Updated 'devDependencies > @git.zone/tsrun' to version ^1.2.49
- Updated 'devDependencies > @git.zone/tstest' to version ^1.0.90
- Updated 'devDependencies > @push.rocks/tapbundle' to version ^5.0.23
- Updated 'devDependencies > @types/node' to version ^20.14.8

## 2024-06-24 - 4.0.61 - fix(dependencies)

Update dependencies to latest versions

- Updated 'dependencies > type-fest' to version ^4.20.1
- Updated 'devDependencies > @git.zone/tsbuild' to version ^2.1.82
- Updated 'devDependencies > @git.zone/tsrun' to version ^1.2.49
- Updated 'devDependencies > @git.zone/tstest' to version ^1.0.90
- Updated 'devDependencies > @push.rocks/tapbundle' to version ^5.0.23
- Updated 'devDependencies > @types/node' to version ^20.14.8

## 2024-06-19 - 4.0.59 - core

Fixes and updates to core functionalities.

- Multiple updates and fixes applied to the core codebase

## 2024-06-17 - 4.0.59 to 4.0.56 - core

Routine updates and fixes to the core.

- Multiple core updates and fixes

## 2024-06-08 - 4.0.54 - core

Core fixes applied.

- Various fixes in the core functionality

## 2024-04-17 - 4.0.53 - core

Core functionality updated with fixes.

- Updates and fixes to core features

## 2024-04-16 - 4.0.52 - documentation

Documentation update.

- Documentation improved and updated

## 2024-02-17 - 4.0.51 - core

Fixes for core applied.

- Multiple core fixes implemented

## 2024-02-10 - 4.0.48 - core

Routine core updates and fixes.

- Several updates and fixes for core functionality

## 2023-10-15 - 4.0.46 - core

Core updates.

- Core functionalities updated and fixes applied

## 2023-10-13 - 4.0.44 - core

Routine fixes for core functionalities.

- Various updates to core functionalities

## 2023-09-13 - 4.0.43 - core

Core updates and fixes.

- Several core updates and fixes

## 2023-05-08 - 4.0.41 - core

Core updates.

- Core functionalities updated

## 2023-05-06 - 4.0.39 - core

Core updates and fixes.

- Multiple core updates and fixes

## 2023-04-19 - 4.0.37 - core

Routine core updates.

- Core fixes and updates applied

## 2023-04-05 - 4.0.35 - core

Core functionalities updated.

- Core functionalities updated and fixes applied

## 2023-03-14 - 4.0.33 - core

Routine core fixes and updates.

- Core functionalities updated

## 2023-03-09 - 4.0.32 - core

Routine maintenance for core.

- Core updates and fixes

## 2023-02-15 - 4.0.31 - core

Core updates applied.

- Fixes and updates to core functionalities

## 2023-02-06 - 4.0.30 - core

Routine fixes.

- Multiple core updates and fixes

## 2023-01-12 - 4.0.29 - core

Core updates applied.

- Fixes and updates to core functionalities

## 2022-11-20 - 4.0.27 - core

Routine core fixes.

- Core functionalities updated and fixed

## 2022-10-31 - 4.0.26 - core

Routine maintenance and fixes.

- Core functionalities updated

## 2022-10-24 - 4.0.24 - business.IContract

Added business logic for contracts.

- Added IContract logic to business module

## 2022-09-14 - 4.0.21 - core

Routine core updates and fixes.

- Core functionalities updated and fixed

## 2022-08-17 - 4.0.18 - core

Routine maintenance for core.

- Core functionalities updated and fixes applied

## 2022-06-16 - 4.0.17 - core

Routine fixes.

- Core functionalities updated

## 2022-04-28 - 4.0.0 - core

Major update with significant core changes.

- Switch to ESM format
- Multiple core functionalities updated and fixed
